## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanFileOutputStream Class Reference

`#include <XalanFileOutputStream.hpp>`

Inheritance diagram for XalanFileOutputStream

Collaboration diagram for XalanFileOutputStream:

List of all members.

## Public Types

- typedef FILE* HandleType
- enum {
  eDefaultBufferSize = 8192
  }

## Public Methods

- XalanFileOutputStream ( const XalanDOMString& theFileName, unsigned int theBufferSize = eDefaultBufferSize)
    Construct an XalanFileOutputStream object. More...
- virtual ~XalanFileOutputStream ()

## Protected Methods

- virtual void writeData ( const char* theBuffer, size_type theBufferLength)
    Write the data in the buffer. More...
- virtual void doFlush ()
    Flush the stream.

## Member Typedef Documentation

typedef FILE* XalanFileOutputStream::HandleType

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  eDefaultBufferSize |

## Constructor & Destructor Documentation

XalanFileOutputStream::XalanFileOutputStream ( | const XalanDOMString & theFileName,
| unsigned int theBufferSize = eDefaultBufferSize )

Construct an XalanFileOutputStream object.

Parameters:

  theFileName | name of file
  theBufferSize | The size of the transcoding buffer

virtual XalanFileOutputStream::~XalanFileOutputStream ( | )`[virtual]`

## Member Function Documentation

virtual void XalanFileOutputStream::doFlush ( | )`[protected, virtual]`

Flush the stream.

Reimplemented from XalanOutputStream.

virtual void XalanFileOutputStream::writeData ( | const char * theBuffer,
| size_type theBufferLength )`[protected, virtual]`

Write the data in the buffer.

Parameters:

  theBuffer | The data to write
  theBufferLength | The length of theBuffer.

Reimplemented from XalanOutputStream.

The documentation for this class was generated from the following file:

- XalanFileOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.